## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGradientShade Struct Reference

An entry in a csGradient gradient. More...

`#include <csgfx/gradient.h>`

List of all members.

## Public Member Functions

| csGradientShade (csColor color, float pos)
| Construct using a color and position.
| csGradientShade (csColor left_color, csColor right_color, float pos)
| Construct supplying all values.
| csGradientShade ()
| Construct with all values set to 0.

## Public Attributes

csColor | left
| Color of the left side.
float | position
| Position in the gradient.
csColor | right
| Color of the right side.

## Detailed Description

An entry in a csGradient gradient.

Definition at line 38 of file gradient.h.

## Constructor & Destructor Documentation

csGradientShade::csGradientShade | ( |  | ) |

| Construct with all values set to 0.

csGradientShade::csGradientShade | ( | csColor | left_color,
|  | csColor | right_color,
|  | float | pos
| ) |

| Construct supplying all values.

csGradientShade::csGradientShade | ( | csColor | color,
|  | float | pos
| ) |

| Construct using a color and position. Both left and right will have the value of color.

## Member Data Documentation

csColor csGradientShade::left

| Color of the left side. Definition at line 41 of file gradient.h.

float csGradientShade::position

| Position in the gradient. Definition at line 45 of file gradient.h.

csColor csGradientShade::right

| Color of the right side. Definition at line 43 of file gradient.h.

The documentation for this struct was generated from the following file:

- csgfx/gradient.h